Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.support.info
Class MetaInfoSupport

    java.lang.Object
      org.jboss.portal.portlet.support.info.MetaInfoSupport

All Implemented Interfaces:
  MetaInfo

    public class MetaInfoSupport

extends java.lang.Object
implements MetaInfo

Version:
  $Revision: 1.1 $
Author:
  Julien Viet

Field Summary

Fields inherited from interface org.jboss.portal.portlet.info.MetaInfo
`DESCRIPTION, DISPLAY_NAME, KEYWORDS, SHORT_TITLE, TITLE`

Constructor Summary
`MetaInfoSupport()`

Method Summary
`void` | `addValue(java.lang.String key, java.util.Locale locale, java.lang.String value)`
`java.lang.String` | `getDisplayName()`
`LocalizedString` | `getMetaValue(java.lang.String key)` Return the meta value of the portlet for a specific key.
`void` | `setDescription(java.lang.String name)`
`void` | `setDisplayName(java.lang.String name)`
`void` | `setKeywords(java.lang.String name)`
`void` | `setShortTitle(java.lang.String name)`
`void` | `setTitle(java.lang.String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MetaInfoSupport

    public MetaInfoSupport()

Method Detail

### getMetaValue

    public LocalizedString getMetaValue(java.lang.String key)

  Description copied from interface: `MetaInfo`
  Return the meta value of the portlet for a specific key.

  Specified by:
    `getMetaValue` in interface `MetaInfo`
  Returns:
    an internationalized value

### addValue

    public void addValue(java.lang.String key,
                         java.util.Locale locale,
                         java.lang.String value)

### setTitle

    public void setTitle(java.lang.String name)

### setShortTitle

    public void setShortTitle(java.lang.String name)

### setKeywords

    public void setKeywords(java.lang.String name)

### setDisplayName

    public void setDisplayName(java.lang.String name)

### setDescription

    public void setDescription(java.lang.String name)

### getDisplayName

    public java.lang.String getDisplayName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD